#
# spec file for package rubygem-stimulus-rails
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-stimulus-rails
Version:        1.3.4
Release:        1.4
%define mod_name stimulus-rails
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
URL:            https://stimulus.hotwired.dev
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        A modest JavaScript framework for the HTML you already have
License:        MIT

%description
A modest JavaScript framework for the HTML you already have.

%prep

%build

%install
%gem_install \
  --doc-files="MIT-LICENSE README.md" \
  -f

%gem_packages

%changelog
* Mon Nov  4 2024 Dan Čermák <dan.cermak@posteo.net>
- 1.3.4:
  [#]# What's Changed
  * Stop suggesting lazy loading by @dhh in https://github.com/hotwired/stimulus-rails/pull/140
  * Changed install template system call to account for spaces in path by @marekhilton in https://github.com/hotwired/stimulus-rails/pull/137
  [#]# New Contributors
  * @berti92 made their first contribution in https://github.com/hotwired/stimulus-rails/pull/115
  * @marekhilton made their first contribution in https://github.com/hotwired/stimulus-rails/pull/137
  * *Full Changelog**: https://github.com/hotwired/stimulus-rails/compare/v1.3.3...v1.3.4
* Mon Jan 29 2024 Dan Čermák <dan.cermak@posteo.net>
- 1.3.3:
  [#]# What's Changed
  * Fix syntax error in stimulus_with_node.rb by @euxx in https://github.com/hotwired/stimulus-rails/pull/134
  * *Full Changelog**: https://github.com/hotwired/stimulus-rails/compare/v1.3.2...v1.3.3
  1.3.2:
  [#]# What's Changed
  * Support for dasherized controller filenames by @adrienpoly in https://github.com/hotwired/stimulus-rails/pull/126
  * Describe the two options under stimulus:manifest so they can be found in a rails -T listing (closes #128) by @walterdavis in https://github.com/hotwired/stimulus-rails/pull/129
  * Fix duplicate controllers in manifest on update by @nachiket87 in https://github.com/hotwired/stimulus-rails/pull/132
  * Rely on import map-rails using preload by default by @dhh
  * Improve Bun support by @rubys in https://github.com/hotwired/stimulus-rails/pull/127
  * *Full Changelog**: https://github.com/hotwired/stimulus-rails/compare/v1.3.0...v1.3.2
* Tue Nov 14 2023 Dan Čermák <dan.cermak@posteo.net>
- 1.3.0:
  [#]# What's Changed
  * Use bun for installation if applicable by @terracatta in https://github.com/hotwired/stimulus-rails/pull/125
  [#]# New Contributors
  * @terracatta made their first contribution in https://github.com/hotwired/stimulus-rails/pull/125
  * *Full Changelog**: https://github.com/hotwired/stimulus-rails/compare/v1.2.2...v1.3.0
  1.2.2:
  [#]# What's Changed
  * Upgrade to [Stimulus 3.2.2](https://github.com/hotwired/stimulus/releases/tag/v3.2.2) by @dhh
  * Use stimulus router lookup table to decide if controller is registered by @ikanade in https://github.com/hotwired/stimulus-rails/pull/113
  * Add skip_manifest option to generator by @KevinBerthier in https://github.com/hotwired/stimulus-rails/pull/123
  [#]# New Contributors
  * @ikanade made their first contribution in https://github.com/hotwired/stimulus-rails/pull/113
  * @KevinBerthier made their first contribution in https://github.com/hotwired/stimulus-rails/pull/123
  * *Full Changelog**: https://github.com/hotwired/stimulus-rails/compare/v1.2.1...v1.2.2
* Wed Dec  7 2022 Stephan Kulow <coolo@suse.com>
  updated to version 1.2.1
  no changelog found
* Thu Aug  4 2022 Stephan Kulow <coolo@suse.com>
  updated to version 1.1.0
  no changelog found
* Mon Mar  7 2022 Stephan Kulow <coolo@suse.com>
- initial package (version 1.0.4)
